#ifndef _IEC61850_PROCESS_H
#define _IEC61850_PROCESS_H

#include "scl_shm.h"


#define IEC61850_RX_MQ             "/iec_rx_mq"
#define IEC61850_RX_MAX_MESSAGE    32
#define IEC61850_RX_MESSAGE_SIZE   1024
#define IEC61850_RX_MQ_PRIO        31


#define CMD_SEND_PRI_DATA 16

// typedef struct 
// {
//  USR_MV AccPri[19];
//  USR_MV AccSec[7];
//  USR_MV EnvNoiPri;
//  USR_MV EnvNoiSec;
//  USR_MV NeuCur;
//  USR_MV MoDevConf;
//  USR_MV MoDevDetF;
//  USR_MV MoDevSigF;
//  USR_MV ModevPowF;
//  USR_MV EnvNoiPriAlm;
//  USR_MV EnvNoiSecAlm;
//  USR_MV NeuCurAlm;
//  USR_MV AccPriAlm[19];
//  USR_MV AccSecAlm[7];
// }LN_SVBR_TYPE;

typedef struct 
{
 USR_MV AccPri[19];
 USR_MV EnvNoiPri;
 USR_MV NeuCur;
 USR_MV MoDevConf;
 USR_MV MoDevDetF;
 USR_MV MoDevSigF;
 USR_MV ModevPowF;
 USR_MV EnvNoiPriAlm;
 USR_MV NeuCurAlm;
 USR_MV AccPriAlm[19];
 }LN_SVBR_TYPE;


extern int iec61850_rx_init(void);
extern int iec61850_send_msg(void *msg,int msg_len);


#endif